//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "mainwin.h"
#include "secondwin.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::OpenSecondButtonClick(TObject *Sender)
{
  // Odtworzenie oryginalnej wysokosci okna -- tej ustawionej na etapie
  // projektowania aplikacji a zapamietanej w FormCreate.
  Height = orginalHeight;
  SecondForm->Show();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::HeightScrollBarChange(TObject *Sender)
{
  SecondForm->Height = HeightScrollBar->Position;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::WidthScrollBarChange(TObject *Sender)
{
  SecondForm->Width = WidthScrollBar->Position;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::FormCreate(TObject *Sender)
{
  // Zapamietanie pozycji ekranowej lewego gornego naroznika okszaru
  // klienckiego.
  TPoint clientOrygin = ClientOrigin;
  // Zapamietanie oryginalnej wysokosci okna -- tej ustawionej w inspektorze
  // obiektow w trakcie projektowania.
  orginalHeight = Height;
  // Ustalenie wysokosci okna, takiej, ze wydoczny bedzie tylko przycisk
  // umieszczony w gornej czesci okna. Aby rachunek byl precyzyjny, trzeba
  // wiedziec jak jest wysokosc paska tytulu okna -- mozna sie tego dowiedziec
  // odejmujac od wspolrzednej y klienta wspolrzedna y lewego naroznika okna,
  // czyli wartosc zapamietana we wlasciwosci Top.
  Height = clientOrygin.y - Top + OpenSecondButton->Height + 1;

}
//---------------------------------------------------------------------------

